Update security settings
curl --request PATCH \
--url https://app.alana.shopping/api/workspace/{workspaceId}/security \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enforce_2fa": true,
"session_timeout_minutes": 722,
"password_min_length": 9,
"require_special_chars": true,
"ip_whitelist": [
"<string>"
]
}
'import requests
url = "https://app.alana.shopping/api/workspace/{workspaceId}/security"
payload = {
"enforce_2fa": True,
"session_timeout_minutes": 722,
"password_min_length": 9,
"require_special_chars": True,
"ip_whitelist": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
enforce_2fa: true,
session_timeout_minutes: 722,
password_min_length: 9,
require_special_chars: true,
ip_whitelist: ['<string>']
})
};
fetch('https://app.alana.shopping/api/workspace/{workspaceId}/security', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "INVALID_REQUEST",
"details": {
"field": "email",
"message": "Invalid email format"
}
}{
"error": "UNAUTHORIZED",
"details": {
"message": "Missing or invalid authentication token"
}
}{
"error": "FORBIDDEN",
"details": {
"message": "User does not have permission to access this resource"
}
}{
"error": "INTERNAL_SERVER_ERROR",
"details": {
"message": "An unexpected error occurred"
}
}Atualizar Configurações de Segurança
Update workspace security policies
PATCH
/
api
/
workspace
/
{workspaceId}
/
security
Update security settings
Autorizações
Bearer token authentication via Auth0. Users authenticate through Auth0 Universal Login. Include the access token in the Authorization header: Authorization: Bearer <token>
Parâmetros de caminho
The workspace ID
Pattern:
^ws_[a-z0-9]+$Corpo
application/json
Resposta
Security settings updated successfully
The response is of type object.
Última modificação em 16 de fevereiro de 2026
⌘I